###

###

###

###

###

###

###

    GETPW(3)            Linux Programmer's Manual            GETPW(3)

    NAME
           getpw - Re-construct password line entry

    SYNOPSIS
           #include <pwd.h>
           #include <sys/types.h>

           int getpw(uid_t uid, char *buf);

    DESCRIPTION
           The getpw() function re-constructs the password line entry
           for the given  user  uid  uid  in  the  buffer  buf.   The
           returned buffer contains a line of format

                  name:passwd:uid:gid:gecos:dir:shell

           The passwd structure is defined in <pwd.h> as follows:

                  struct passwd {
                          char    *pw_name;       /* user name */
                          char    *pw_passwd;     /* user password */
                          uid_t   pw_uid;         /* user id */
                          gid_t   pw_gid;         /* group id */
                          char    *pw_gecos;      /* real name */
                          char    *pw_dir;        /* home directory */
                          char    *pw_shell;      /* shell program */
                  };

    RETURN VALUE
           The  getpw()  function  returns  0 on success, or -1 if an
           error occurs.

    ERRORS
           ENOMEM Insufficient memory to allocate passwd structure.

    FILES
           /etc/passwdpassword database file

### SEE ALSO

fgetpwent, getpwent, setpwent, endpwent, getpwuid, putpwent,

###

    GNU                       April 9, 1993                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0